"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

require("antd/lib/modal/style/css");

var _modal = _interopRequireDefault(require("antd/lib/modal"));

require("antd/lib/button/style/css");

var _button = _interopRequireDefault(require("antd/lib/button"));

var _react = _interopRequireDefault(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _junUtils = require("jun-utils");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _typeof(obj) { "@babel/helpers - typeof"; if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } }); if (superClass) _setPrototypeOf(subClass, superClass); }

function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }

function _createSuper(Derived) { var hasNativeReflectConstruct = _isNativeReflectConstruct(); return function _createSuperInternal() { var Super = _getPrototypeOf(Derived), result; if (hasNativeReflectConstruct) { var NewTarget = _getPrototypeOf(this).constructor; result = Reflect.construct(Super, arguments, NewTarget); } else { result = Super.apply(this, arguments); } return _possibleConstructorReturn(this, result); }; }

function _possibleConstructorReturn(self, call) { if (call && (_typeof(call) === "object" || typeof call === "function")) { return call; } return _assertThisInitialized(self); }

function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

function _isNativeReflectConstruct() { if (typeof Reflect === "undefined" || !Reflect.construct) return false; if (Reflect.construct.sham) return false; if (typeof Proxy === "function") return true; try { Date.prototype.toString.call(Reflect.construct(Date, [], function () {})); return true; } catch (e) { return false; } }

function _getPrototypeOf(o) { _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) { return o.__proto__ || Object.getPrototypeOf(o); }; return _getPrototypeOf(o); }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

var ImgView = /*#__PURE__*/function (_React$PureComponent) {
  _inherits(ImgView, _React$PureComponent);

  var _super = _createSuper(ImgView);

  function ImgView() {
    var _this;

    _classCallCheck(this, ImgView);

    for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    _this = _super.call.apply(_super, [this].concat(args));

    _defineProperty(_assertThisInitialized(_this), "state", {
      visible: false,
      rotateDeg: 0,
      // 旋转角度
      scaleX: 1 // 缩放比例

    });

    _defineProperty(_assertThisInitialized(_this), "handleShow", function () {
      _this.setState({
        visible: true,
        rotateDeg: 0,
        scaleX: 1
      });
    });

    _defineProperty(_assertThisInitialized(_this), "handleCancel", function () {
      _this.setState({
        visible: false
      });
    });

    _defineProperty(_assertThisInitialized(_this), "reset", function () {
      _this.setState({
        rotateDeg: 0,
        scaleX: 1
      });
    });

    _defineProperty(_assertThisInitialized(_this), "rotateRight", function () {
      _this.setState(function (prev) {
        return {
          rotateDeg: prev.rotateDeg + 90
        };
      });
    });

    _defineProperty(_assertThisInitialized(_this), "big", function () {
      _this.setState(function (prev) {
        return {
          scaleX: _junUtils.floatUtil.add(prev.scaleX, 0.2)
        };
      });
    });

    _defineProperty(_assertThisInitialized(_this), "small", function () {
      var scaleX = _this.state.scaleX;

      if (scaleX > 0.2) {
        _this.setState(function (prev) {
          return {
            scaleX: _junUtils.floatUtil.subtract(prev.scaleX, 0.2)
          };
        });
      }
    });

    return _this;
  }

  _createClass(ImgView, [{
    key: "render",
    value: function render() {
      var _this$state = this.state,
          rotateDeg = _this$state.rotateDeg,
          scaleX = _this$state.scaleX;
      var transform = "rotate(".concat(rotateDeg, "deg) scale(").concat(scaleX, ")");
      return /*#__PURE__*/_react["default"].createElement("span", null, /*#__PURE__*/_react["default"].createElement("span", {
        role: "button",
        tabIndex: "-1",
        onClick: this.handleShow
      }, this.props.children), /*#__PURE__*/_react["default"].createElement(_modal["default"], {
        title: "\u9884\u89C8",
        maskClosable: false,
        visible: this.state.visible,
        bodyStyle: {
          overflow: 'auto'
        } // 防止旋转图片超出容器
        ,
        onCancel: this.handleCancel,
        footer: /*#__PURE__*/_react["default"].createElement("div", null, /*#__PURE__*/_react["default"].createElement(_button["default"], {
          type: "primary",
          "aria-label": "reset",
          onClick: this.reset
        }, "\u8FD8\u539F"), /*#__PURE__*/_react["default"].createElement(_button["default"], {
          type: "primary",
          "aria-label": "rotate",
          onClick: this.rotateRight
        }, "\u65CB\u8F6C"), /*#__PURE__*/_react["default"].createElement(_button["default"], {
          type: "primary",
          "aria-label": "zoom in",
          onClick: this.big
        }, "\u653E\u5927"), /*#__PURE__*/_react["default"].createElement(_button["default"], {
          type: "primary",
          "aria-label": "zoom out",
          onClick: this.small
        }, "\u7F29\u5C0F"))
      }, /*#__PURE__*/_react["default"].createElement("img", {
        src: this.props.src,
        alt: "\u56FE\u7247",
        className: "jun-antd-imgview",
        style: {
          transform: transform
        }
      })));
    }
  }]);

  return ImgView;
}(_react["default"].PureComponent);

_defineProperty(ImgView, "propTypes", {
  children: _propTypes["default"].node.isRequired,
  src: _propTypes["default"].string
});

var _default = ImgView;
exports["default"] = _default;