"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

require("antd/lib/form/style/css");

var _form = _interopRequireDefault(require("antd/lib/form"));

require("antd/lib/date-picker/style/css");

var _datePicker = _interopRequireDefault(require("antd/lib/date-picker"));

var _react = _interopRequireDefault(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _zh_CN = _interopRequireDefault(require("antd/lib/date-picker/locale/zh_CN"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

/**
 * 时间范围选择器
 *
 * @param {string} name - 字段名
 * @param {string} label - 标签的文本
 * @param {string} [format='YYYY-MM-DD'] - 展示的日期格式
 * @param {string|number} [width='auto'] - 宽度
 */
var App = function App(_ref) {
  var name = _ref.name,
      label = _ref.label,
      format = _ref.format,
      width = _ref.width;
  return /*#__PURE__*/_react["default"].createElement(_form["default"].Item, {
    label: label,
    name: name
  }, /*#__PURE__*/_react["default"].createElement(_datePicker["default"].RangePicker, {
    getPopupContainer: function getPopupContainer(triggerNode) {
      return triggerNode.parentElement;
    },
    locale: _zh_CN["default"],
    format: format,
    style: {
      width: width
    }
  }));
};

App.defaultProps = {
  format: 'YYYY-MM-DD',
  width: 'auto'
};
App.propTypes = {
  name: _propTypes["default"].string,
  label: _propTypes["default"].string,
  format: _propTypes["default"].string,
  width: _propTypes["default"].oneOfType([_propTypes["default"].string, _propTypes["default"].number])
};
var _default = App;
exports["default"] = _default;