"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

require("antd/lib/form/style/css");

var _form = _interopRequireDefault(require("antd/lib/form"));

require("antd/lib/input/style/css");

var _input = _interopRequireDefault(require("antd/lib/input"));

var _react = _interopRequireDefault(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

/**
 * 输入框
 *
 * @param {string} name - 字段名
 * @param {string} label - 标签的文本
 * @param {string} [placeholder='请输入'] - 描述文字
 * @param {string|number} [width='100%'] - 宽度
 */
var App = function App(_ref) {
  var name = _ref.name,
      label = _ref.label,
      placeholder = _ref.placeholder,
      width = _ref.width;
  return /*#__PURE__*/_react["default"].createElement(_form["default"].Item, {
    label: label,
    name: name
  }, /*#__PURE__*/_react["default"].createElement(_input["default"], {
    placeholder: placeholder,
    style: {
      width: width
    }
  }));
};

App.defaultProps = {
  placeholder: '请输入',
  width: '100%'
};
App.propTypes = {
  name: _propTypes["default"].string,
  label: _propTypes["default"].string,
  placeholder: _propTypes["default"].string,
  width: _propTypes["default"].oneOfType([_propTypes["default"].string, _propTypes["default"].number])
};
var _default = App;
exports["default"] = _default;