"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

require("antd/lib/form/style/css");

var _form = _interopRequireDefault(require("antd/lib/form"));

require("antd/lib/select/style/css");

var _select = _interopRequireDefault(require("antd/lib/select"));

require("antd/lib/spin/style/css");

var _spin = _interopRequireDefault(require("antd/lib/spin"));

var _react = _interopRequireDefault(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _debounce = _interopRequireDefault(require("lodash/debounce"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

function noop() {}

var App = function App(_ref) {
  var name = _ref.name,
      label = _ref.label,
      list = _ref.list,
      onSearch = _ref.onSearch,
      loading = _ref.loading,
      placeholder = _ref.placeholder,
      width = _ref.width,
      restProps = _objectWithoutProperties(_ref, ["name", "label", "list", "onSearch", "loading", "placeholder", "width"]);

  var otherProps = {};

  if (typeof onSearch === 'function') {
    Object.assign(otherProps, {
      onSearch: (0, _debounce["default"])(onSearch, 500)
    });
  }

  return /*#__PURE__*/_react["default"].createElement(_form["default"].Item, {
    label: label,
    name: name
  }, /*#__PURE__*/_react["default"].createElement(_select["default"], _extends({
    allowClear: true,
    getPopupContainer: function getPopupContainer(triggerNode) {
      return triggerNode.parentElement;
    },
    placeholder: placeholder,
    style: {
      width: width
    }
  }, otherProps, restProps, {
    showSearch: true,
    filterOption: false,
    notFoundContent: loading ? /*#__PURE__*/_react["default"].createElement(_spin["default"], {
      size: "small"
    }) : null
  }), list.map(function (item) {
    return /*#__PURE__*/_react["default"].createElement(_select["default"].Option, {
      key: item.value,
      value: item.value
    }, item.text);
  })));
};

App.defaultProps = {
  list: [],
  placeholder: '请输入',
  width: '100%',
  onSearch: noop
};
App.propTypes = {
  name: _propTypes["default"].string,
  label: _propTypes["default"].string,
  list: _propTypes["default"].array,
  onSearch: _propTypes["default"].func,
  loading: _propTypes["default"].bool,
  placeholder: _propTypes["default"].string,
  width: _propTypes["default"].oneOfType([_propTypes["default"].string, _propTypes["default"].number])
};
var _default = App;
exports["default"] = _default;