"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

require("antd/lib/form/style/css");

var _form = _interopRequireDefault(require("antd/lib/form"));

require("antd/lib/button/style/css");

var _button = _interopRequireDefault(require("antd/lib/button"));

var _react = _interopRequireDefault(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _icons = require("@ant-design/icons");

var _ItemInput = _interopRequireDefault(require("./ItemInput"));

var _ItemRangeInput = _interopRequireDefault(require("./ItemRangeInput"));

var _ItemSelect = _interopRequireDefault(require("./ItemSelect"));

var _ItemSearch = _interopRequireDefault(require("./ItemSearch"));

var _ItemDate = _interopRequireDefault(require("./ItemDate"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _typeof(obj) { "@babel/helpers - typeof"; if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } }); if (superClass) _setPrototypeOf(subClass, superClass); }

function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }

function _createSuper(Derived) { var hasNativeReflectConstruct = _isNativeReflectConstruct(); return function _createSuperInternal() { var Super = _getPrototypeOf(Derived), result; if (hasNativeReflectConstruct) { var NewTarget = _getPrototypeOf(this).constructor; result = Reflect.construct(Super, arguments, NewTarget); } else { result = Super.apply(this, arguments); } return _possibleConstructorReturn(this, result); }; }

function _possibleConstructorReturn(self, call) { if (call && (_typeof(call) === "object" || typeof call === "function")) { return call; } return _assertThisInitialized(self); }

function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

function _isNativeReflectConstruct() { if (typeof Reflect === "undefined" || !Reflect.construct) return false; if (Reflect.construct.sham) return false; if (typeof Proxy === "function") return true; try { Date.prototype.toString.call(Reflect.construct(Date, [], function () {})); return true; } catch (e) { return false; } }

function _getPrototypeOf(o) { _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) { return o.__proto__ || Object.getPrototypeOf(o); }; return _getPrototypeOf(o); }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

function noop() {}

var components = {
  input: _ItemInput["default"],
  // 输入框
  rangeInput: _ItemRangeInput["default"],
  // 区间输入框
  select: _ItemSelect["default"],
  // 下拉框
  search: _ItemSearch["default"],
  // 搜索框
  date: _ItemDate["default"] // 时间范围选择器

};

var SearchForm = /*#__PURE__*/function (_React$PureComponent) {
  _inherits(SearchForm, _React$PureComponent);

  var _super = _createSuper(SearchForm);

  function SearchForm() {
    var _this;

    _classCallCheck(this, SearchForm);

    for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    _this = _super.call.apply(_super, [this].concat(args));

    _defineProperty(_assertThisInitialized(_this), "state", {
      collapsed: _this.props.collapsed // 高级搜索是否收起

    });

    _defineProperty(_assertThisInitialized(_this), "onCollapse", function () {
      var onCollapse = _this.props.onCollapse;

      _this.setState(function (prevState) {
        return {
          collapsed: !prevState.collapsed
        };
      }, function () {
        onCollapse(_this.state.collapsed);
      });
    });

    _defineProperty(_assertThisInitialized(_this), "itemRender", function () {
      var data = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : [];
      return data.map(function (item) {
        var Component = components[item.type];

        if (item.render && typeof item.render === 'function') {
          return /*#__PURE__*/_react["default"].createElement(_react["default"].Fragment, {
            key: item.name
          }, item.render());
        }

        if (Component) {
          var key = item.name;

          if (item.type === 'rangeInput') {
            key = "".concat(item.leftName).concat(item.rightName);
          }

          return /*#__PURE__*/_react["default"].createElement(Component, _extends({
            key: key
          }, item));
        }

        return null;
      });
    });

    _defineProperty(_assertThisInitialized(_this), "listRender", function () {
      var _this$props = _this.props,
          list = _this$props.list,
          multiple = _this$props.multiple,
          size = _this$props.size;

      if (multiple && _this.state.collapsed) {
        return _this.itemRender(list.slice(0, size));
      }

      return _this.itemRender(list);
    });

    return _this;
  }

  _createClass(SearchForm, [{
    key: "render",
    value: function render() {
      var _this$props2 = this.props,
          style = _this$props2.style,
          className = _this$props2.className,
          list = _this$props2.list,
          multiple = _this$props2.multiple,
          size = _this$props2.size,
          initialValues = _this$props2.initialValues,
          loading = _this$props2.loading,
          onSearch = _this$props2.onSearch,
          onReset = _this$props2.onReset,
          onExport = _this$props2.onExport,
          extra = _this$props2.extra,
          searchText = _this$props2.searchText,
          resetText = _this$props2.resetText,
          exportText = _this$props2.exportText,
          collapseText = _this$props2.collapseText,
          uncollapseText = _this$props2.uncollapseText;
      var collapsed = this.state.collapsed;

      if (list.length === 0) {
        return null;
      }

      return /*#__PURE__*/_react["default"].createElement(_form["default"], {
        className: className,
        style: style,
        layout: "inline",
        ref: this.props.formRef,
        initialValues: initialValues,
        onFinish: onSearch
      }, this.listRender(), /*#__PURE__*/_react["default"].createElement(_form["default"].Item, {
        "aria-label": "action"
      }, /*#__PURE__*/_react["default"].createElement(_button["default"], {
        type: "primary",
        htmlType: "submit",
        disabled: loading,
        "aria-label": "search"
      }, searchText), /*#__PURE__*/_react["default"].createElement(_button["default"], {
        style: {
          marginLeft: 8
        },
        disabled: loading,
        onClick: onReset,
        "aria-label": "reset"
      }, resetText), onExport && /*#__PURE__*/_react["default"].createElement(_button["default"], {
        style: {
          marginLeft: 8
        },
        disabled: loading,
        onClick: onExport,
        "aria-label": "export"
      }, exportText), multiple && list.length > size && /*#__PURE__*/_react["default"].createElement(_button["default"], {
        style: {
          marginLeft: 8
        },
        onClick: this.onCollapse
      }, /*#__PURE__*/_react["default"].createElement("span", null, collapsed ? collapseText : uncollapseText), collapsed ? /*#__PURE__*/_react["default"].createElement(_icons.CaretDownOutlined, null) : /*#__PURE__*/_react["default"].createElement(_icons.CaretUpOutlined, null)), extra && /*#__PURE__*/_react["default"].createElement(_react["default"].Fragment, null, extra)));
    }
  }]);

  return SearchForm;
}(_react["default"].PureComponent);

_defineProperty(SearchForm, "propTypes", {
  style: _propTypes["default"].object,
  className: _propTypes["default"].string,
  formRef: _propTypes["default"].object,
  onSearch: _propTypes["default"].func,
  onReset: _propTypes["default"].func,
  list: _propTypes["default"].array,
  multiple: _propTypes["default"].bool,
  collapsed: _propTypes["default"].bool,
  size: _propTypes["default"].number,
  loading: _propTypes["default"].bool,
  initialValues: _propTypes["default"].object,
  onExport: _propTypes["default"].func,
  extra: _propTypes["default"].oneOfType([_propTypes["default"].string, _propTypes["default"].node]),
  onCollapse: _propTypes["default"].func,
  searchText: _propTypes["default"].string,
  resetText: _propTypes["default"].string,
  exportText: _propTypes["default"].string,
  collapseText: _propTypes["default"].string,
  uncollapseText: _propTypes["default"].string
});

_defineProperty(SearchForm, "defaultProps", {
  style: {},
  className: '',
  list: [],
  // 选择项
  multiple: false,
  // 是否为多功能搜索
  collapsed: true,
  // 高级搜索是否收起
  size: 3,
  // 简易搜索个数
  extra: null,
  // 搜索栏额外元素【操作按钮】
  onCollapse: noop,
  searchText: '查询',
  // 查询按钮文字
  resetText: '重置',
  // 重置按钮文字
  exportText: '导出',
  // 导出按钮文字
  collapseText: '展开',
  // 收起状态按钮文字
  uncollapseText: '收起' // 展开状态按钮文字

});

var _default = SearchForm;
exports["default"] = _default;